defmodule DecentralisedBookIndex.SyncWorker do
  use Oban.Worker,
    queue: :default,
    max_attempts: 2,
    tags: ["sync", "cron"]

  require Logger

  @impl Oban.Worker
  def perform(%Oban.Job{args: args} = job) do
    SyncServerTask.sync_all()
  end
end
